Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.ipd.consensus.impl
Class XTMExportInternalFilter

    java.lang.Object
      org.tm4j.topicmap.utils.WalkerFilterAdapter
          de.uka.ipd.consensus.impl.XTMExportInternalFilter

All Implemented Interfaces:
  org.tm4j.topicmap.utils.WalkerFilter, org.tm4j.topicmap.utils.WalkerHandler

public class XTMExportInternalFilter
extends org.tm4j.topicmap.utils.WalkerFilterAdapter

TODO

Version:
  2006-06-14
Author:
  Thomas Much

Field Summary

Fields inherited from class org.tm4j.topicmap.utils.WalkerFilterAdapter
`m_handler`

Constructor Summary
`XTMExportInternalFilter(OntologyManagerImpl omi)`

Method Summary
`boolean` | `startAssociation(org.tm4j.topicmap.Association ass)`
`boolean` | `startMember(org.tm4j.topicmap.Member member)`
`boolean` | `startOccurrence(org.tm4j.topicmap.Occurrence occ)`
`boolean` | `startTopic(org.tm4j.topicmap.Topic topic)`

Methods inherited from class org.tm4j.topicmap.utils.WalkerFilterAdapter
`endAssociation, endBaseName, endMember, endOccurrence, endScope, endTopic, endTopicMap, endVariant, getHandler, onParameter, onPlayer, onRoleSpec, onSubject, onSubjectIndicator, onTheme, onType, onVariantName, setHandler, startBaseName, startScope, startTopicMap, startVariant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XTMExportInternalFilter

    public XTMExportInternalFilter(OntologyManagerImpl omi)

Method Detail

### startAssociation

    public boolean startAssociation(org.tm4j.topicmap.Association ass)
                             throws org.tm4j.topicmap.TopicMapProcessingException

  Throws:
    `org.tm4j.topicmap.TopicMapProcessingException`

### startMember

    public boolean startMember(org.tm4j.topicmap.Member member)
                        throws org.tm4j.topicmap.TopicMapProcessingException

  Throws:
    `org.tm4j.topicmap.TopicMapProcessingException`

### startOccurrence

    public boolean startOccurrence(org.tm4j.topicmap.Occurrence occ)
                            throws org.tm4j.topicmap.TopicMapProcessingException

  Throws:
    `org.tm4j.topicmap.TopicMapProcessingException`

### startTopic

    public boolean startTopic(org.tm4j.topicmap.Topic topic)
                       throws org.tm4j.topicmap.TopicMapProcessingException

  Throws:
    `org.tm4j.topicmap.TopicMapProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD